ru.bitel.bgbilling.plugins.fias.common.service

## Interface FiasSyncService

-     public interface FiasSyncService

  Веб сервис, для синхроизации городов биллига с ФИАС

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeBillingCityName(int cityId, java.lang.String name)`
    `void` | `changeBillingStreetName(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)`
    `Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City>` | `getCityList()`
    `Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street>` | `getStreetList(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)`
    `void` | `syncCity(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> citys)` Синхронизует данные в биллинге с данными фиас
    `void` | `syncHouse(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> citys, boolean loadNew)`
    `void` | `syncStreet(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)`

- - ### Method Detail

    - #### getCityList

          Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> getCityList()
                                                                               throws ru.bitel.bgbilling.common.BGMessageException,
                                                                                      ru.bitel.bgbilling.common.BGException

      Returns:
        список городов в билинге с данными ФИАС
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### syncCity

          void syncCity(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> citys)
                 throws ru.bitel.bgbilling.common.BGMessageException,
                        ru.bitel.bgbilling.common.BGException

      Синхронизует данные в биллинге с данными фиас
      Parameters:
        `aoguids` - список guid фиас для сихронизации
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### changeBillingCityName

          void changeBillingCityName(int cityId,
                                     java.lang.String name)
                              throws ru.bitel.bgbilling.common.BGMessageException,
                                     ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getStreetList

          Result<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> getStreetList(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)
                                                                                   throws ru.bitel.bgbilling.common.BGMessageException,
                                                                                          ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### syncStreet

          void syncStreet(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)
                   throws ru.bitel.bgbilling.common.BGMessageException,
                          ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### changeBillingStreetName

          void changeBillingStreetName(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street> streets)
                                throws ru.bitel.bgbilling.common.BGMessageException,
                                       ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### syncHouse

          void syncHouse(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> citys,
                         boolean loadNew)
                  throws ru.bitel.bgbilling.common.BGMessageException,
                         ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`